// Decompiled by Jad v1.5.8e. Copyright 2001 Pavel Kouznetsov.
// Jad home page: http://www.geocities.com/kpdus/jad.html
// Decompiler options: packimports(3) deadcode 
// Source File Name:   AccessiblePlatform.java

package com.symantec.itools.lang;


// Referenced classes of package com.symantec.itools.lang:
//            Platform, IllegalInstantiationError

public class AccessiblePlatform extends Platform
{

    protected AccessiblePlatform()
    {
        throw new IllegalInstantiationError(com.symantec.itools.lang.AccessiblePlatform.class);
    }

    public static String getOSName()
    {
        return Platform.osName;
    }

    public static String getOSType()
    {
        return Platform.osType;
    }

    public static String getOSVersion()
    {
        return Platform.osVersion;
    }

    public static String getJavaVersion()
    {
        return Platform.javaVersion;
    }

    public static String getJavaVendor()
    {
        return Platform.javaVendor;
    }

    public static String getArchitecture()
    {
        return Platform.architecture;
    }
}
